CVE-2016-4964

Published on: 12/09/2016 12:00:00 AM UTC

Last Modified on: 03/23/2021 11:26:59 PM UTC

CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:N/I:N/A:H

Certain versions of Qemu from Qemu contain the following vulnerability:

The mptsas_fetch_requests function in hw/scsi/mptsas.c in QEMU (aka Quick Emulator) allows local guest OS administrators to cause a denial of service (infinite loop, and CPU consumption or QEMU process crash) via vectors involving s->state.

  • CVE-2016-4964 has been assigned by [email protected] to track the vulnerability - currently rated as MEDIUM severity.

CVSS3 Score: 6 - MEDIUM

Attack
Vector
Attack
Complexity
Privileges
Required
User
Interaction
LOCAL LOW HIGH NONE
Scope Confidentiality
Impact
Integrity
Impact
Availability
Impact
CHANGED NONE NONE HIGH

CVSS2 Score: 4.9 - MEDIUM

Access
Vector
Access
Complexity
Authentication
LOCAL LOW NONE
Confidentiality
Impact
Integrity
Impact
Availability
Impact
NONE NONE COMPLETE

CVE References

Description Tags Link
oss-security - Re: CVE Request: Qemu: scsi: mptsas infinite loop in mptsas_fetch_requests Mailing List
Third Party Advisory
www.openwall.com
text/html
URL Logo MLIST [oss-security] 20160524 Re: CVE Request: Qemu: scsi: mptsas infinite loop in mptsas_fetch_requests
git.qemu.org Git - qemu.git/commit Patch
Vendor Advisory
git.qemu.org
text/xml
URL Logo CONFIRM git.qemu.org/?p=qemu.git;a=commit;h=06630554ccbdd25780aa03c3548aaff1eb56dffd
[Qemu-devel] [PATCH] scsi: mptsas: infinite loop while fetching requests Patch
Third Party Advisory
lists.gnu.org
text/x-diff
MLIST [qemu-devel] 20160524 [PATCH] scsi: mptsas: infinite loop while fetching requests
oss-security - CVE Request: Qemu: scsi: mptsas infinite loop in mptsas_fetch_requests Mailing List
Third Party Advisory
www.openwall.com
text/html
URL Logo MLIST [oss-security] 20160524 CVE Request: Qemu: scsi: mptsas infinite loop in mptsas_fetch_requests
QEMU: Multiple vulnerabilities (GLSA 201609-01) — Gentoo security Third Party Advisory
security.gentoo.org
text/html
URL Logo GENTOO GLSA-201609-01

Known Affected Configurations (CPE V2.3)

Type Vendor Product Version Update Edition Language
ApplicationQemuQemuAllAllAllAll
  • cpe:2.3:a:qemu:qemu:*:*:*:*:*:*:*:*: